Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow
Interface FlowStepStrategy<Config>

    public interface FlowStepStrategy<Config>

The FlowStepStrategy interface allows for on the fly customization of `FlowStep` configuration values before they are submitted to the underlying platform.

Use a strategy instance to change the display name for a job, or in the case of Hadoop, the number of mapper or reducer instances.

Note, to change the configuration information, `FlowStep.getConfig()` must be called to get access to the current configuration.

If any, the completed predecessor steps are provided so that the predecessors can be inspected via the `FlowStepStats` interface for any information that may influence the current job.

It is also possible to block submission of the job by blocking in this method.

Method Summary
`void` | `apply(Flow<Config> flow, List<FlowStep<Config>> predecessorSteps, FlowStep<Config> flowStep)`

Method Detail

### apply

    void apply(Flow<Config> flow,
               List<FlowStep<Config>> predecessorSteps,
               FlowStep<Config> flowStep)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.